import javax.swing.*;
import java.util.*;
import java.io.*;
import javax.sound.sampled.*;

/** Thread ktery nahrtaje zvuky, slovnik a inicializuje program, */
public class GThread extends Thread {
 /** konstruktor threadu */
 public GThread(String str) {
  super(str);
 }
 /** hlavni funkce threadu */
 public void run() {
  try {
   Properties p=GMain.p;
   try {
    p.load(new FileInputStream(new File("speech.properties")));
   } catch (Exception e) {
    JOptionPane.showMessageDialog(null,"Nelze nahrt soubor s nastavenm (speech.properties)\nBudou pouity standardn hodnoty");
   }
   GMain.info.setText("Nahrvm zvuky...");
   Speech spx=new Speech(p.getProperty("sounddir","sound"));
   GMain.sp=spx;
   GMain.info.setText("Nahrvm slovnk...");
   try {
    spx.loadVocabulary(p.getProperty("wordlist","word/wlist-opt.txt"),p.getProperty("wordlist.encoding","iso-8859-2"));
    GMain.info.setText("Pipraven.");
   } catch (Exception e) {
    GMain.info.setText("P5ipraven (nen slovnk)");
  }
  } catch (Exception e) {
   e.printStackTrace();
  }
  GMain.box.setVisible(true);   
 }
}
