import javax.swing.*;
import java.io.*;
import java.util.*;
import javax.sound.sampled.*;
import java.awt.*;
import java.awt.event.*;

/** Testovaci program pro tridu Speech - GUI verze */
public class GMain {
 public static String sentence="";
 public static JFrame frame=null;
 public static JLabel info=null;
 public static Speech sp=null;
 public static JPanel box=null;
 public static JEditorPane ed=null;
 public static Properties p=new Properties();

 /** vytvori GUI, spusti loader thread */
 private static void gui() {
  JFrame.setDefaultLookAndFeelDecorated(true);
  frame=new JFrame("Kecal v0.9");
  frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  info=new JLabel("Napite zde vtu'");
  box=new JPanel();
  JPanel outbox=new JPanel();
  JPanel bbox=new JPanel();
  ed=new JEditorPane();
  JButton b_start=new JButton("Pednst");
  JButton b_save=new JButton("Uloit jako Wav");
  b_start.addActionListener(new ActionListener() {
   public void actionPerformed(ActionEvent e) {
    try {
     sentence=ed.getText();
     SpeechThread s=new SpeechThread("Speech");
     s.setSentence(sentence);
     s.start();
    } catch (Exception ex) {
     info.setText(ex.toString());
     ex.printStackTrace();
    }
   }
  });
  b_save.addActionListener(new ActionListener() {
   public void actionPerformed(ActionEvent e) {
    try {
     sentence=ed.getText();
     SpeechSaveThread s=new SpeechSaveThread("Speech");
     s.setSentence(sentence);
     s.start();
    } catch (Exception ex) {
     info.setText(ex.toString());
     ex.printStackTrace();
    }
   }
  });
  ed.setText(sentence);
  bbox.setLayout(new GridLayout(1,0));
  bbox.add(b_start);
  bbox.add(b_save);
  box.setLayout(new BorderLayout());
  box.setBorder(BorderFactory.createEmptyBorder(10,10,10,10));
  box.add(ed,BorderLayout.CENTER);
  box.add(bbox,BorderLayout.SOUTH);
  outbox.setLayout(new BorderLayout());
  outbox.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
  outbox.add(info,BorderLayout.NORTH);
  outbox.add(box,BorderLayout.CENTER);
  frame.getContentPane().add(outbox);
  frame.pack();
  box.setVisible(false);
  frame.setVisible(true);
  new GThread("Loader").start();
 }

 /** main */
 public static void main(String[] args) {
  int i;
  for (i=0;i<args.length;i++) {
   if (i>0) sentence+=" "; //mezera mezi slovy/vetou
   sentence+=args[i];
  }
  javax.swing.SwingUtilities.invokeLater(new Runnable() {
   public void run() {
    gui();
   }
  });
 }
}
